# frozen_string_literal: true
require 'test_helper'

class QuestionLiveCoderTest < ActionDispatch::IntegrationTest
  test "can load a live coder question" do
    auth_candidate candidates(:dawn)
    question = questions(:fed7)

    get question_path(question.id)
    assert_response :success
    assert_select '.question-text', question.question
  end

  test "should load seed data into live coder" do
    auth_candidate candidates(:juan)
    question = questions(:fed7)

    get question_path(question.id)
    assert_response :success
    assert_select '#answer_answer_hash_html', question.input_options['html']
  end
end
